export declare const useSelector: (props: any, flowKey?: any, inputValue?: any) => {
    dialogVisible: import("vue").Ref<boolean, boolean>;
    title: any;
    searchName: import("vue").Ref<string, string>;
    selectorType: any;
    selectOptions: import("vue").Ref<any[], any[]>;
    tableOptions: import("vue").Ref<{}, {}>;
    userStatusMap: {
        1: string;
        2: string;
        3: string;
    };
    roleTypeMap: {
        0: string;
        1: string;
    };
    roleStatusMap: {
        0: string;
        1: string;
    };
    openDialog: () => void;
    confirm: (data: any) => void;
    getDetail: (ids: string) => Promise<void>;
    searchData: () => Promise<void>;
    searchOptions: import("vue").Ref<any[], any[]>;
    linkmanPhone: import("vue").Ref<string, string>;
};
